public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [rpms/php-sabre-vobject4] f43: v4.6.0
@ 2026-06-02  9:35 Remi Collet
  0 siblings, 0 replies; only message in thread
From: Remi Collet @ 2026-06-02  9:35 UTC (permalink / raw)
  To: git-commits

            A new commit has been pushed.

            Repo   : rpms/php-sabre-vobject4
            Branch : f43
            Commit : 535747308da41fb2e7e4e9214244edd8dc4fbedb
            Author : Remi Collet <remi@fedoraproject.org>
            Date   : 2026-06-02T11:35:09+02:00
            Stats  : +17/-20 in 4 file(s)
            URL    : https://src.fedoraproject.org/rpms/php-sabre-vobject4/c/535747308da41fb2e7e4e9214244edd8dc4fbedb?branch=f43

            Log:
            v4.6.0

(cherry picked from commit a7b3925809ed5082b31c5aa199f0a9553b044e53)

---
diff --git a/.gitignore b/.gitignore
index 7dc7872..c99da51 100644
--- a/.gitignore
+++ b/.gitignore
@@ -27,3 +27,4 @@ clog
 /php-sabre-vobject4-4.5.6-900266b.tgz
 /php-sabre-vobject4-4.5.7-ff22611.tgz
 /php-sabre-vobject4-4.5.8-d554eb2.tgz
+/php-sabre-vobject4-4.6.0.tgz

diff --git a/makesrc.sh b/makesrc.sh
index f9982c6..f2a2aed 100755
--- a/makesrc.sh
+++ b/makesrc.sh
@@ -4,29 +4,24 @@ NAME=$(basename $PWD)
 OWNER=$(sed   -n '/^%global gh_owner/{s/.* //;p}'   $NAME.spec)
 PROJECT=$(sed -n '/^%global gh_project/{s/.* //;p}' $NAME.spec)
 VERSION=$(sed -n '/^Version:/{s/.* //;p}'           $NAME.spec)
-COMMIT=$(sed  -n '/^%global gh_commit/{s/.* //;p}'  $NAME.spec)
-SHORT=${COMMIT:0:7}
 
-if [ -f $NAME-$VERSION-$SHORT.tgz ]; then
-	echo "Already there."
+if [ -f $NAME-$VERSION.tgz ]; then
+	echo "$NAME-$VERSION.tgz already there"
 else
-	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION\n"
+	echo -e "\nCreate git snapshot\nName=$NAME, Owner=$OWNER, Project=$PROJECT, Version=$VERSION	\n"
 
 	echo "Cloning..."
-	rm -rf $PROJECT-$COMMIT
-	git clone https://github.com/$OWNER/$PROJECT.git $PROJECT-$COMMIT
+	rm -rf $PROJECT-$VERSION
+	git clone https://github.com/$OWNER/$PROJECT.git --depth 1 --branch $VERSION $PROJECT-$VERSION || exit 1
 
-	echo "Getting commit..."
-	pushd $PROJECT-$COMMIT
-		git checkout $COMMIT || exit 1
-		cp composer.json ../composer.json
-	popd
+	echo "Getting composer..."
+	cp $PROJECT-$VERSION/composer.json composer.json
 
 	echo "Archiving..."
-	tar czf $NAME-$VERSION-$SHORT.tgz --exclude-vcs $PROJECT-$COMMIT
+	tar czf $NAME-$VERSION.tgz --exclude-vcs $PROJECT-$VERSION
 
 	echo "Cleaning..."
-	rm -rf $PROJECT-$COMMIT
+	rm -rf $PROJECT-$VERSION
 
 	echo "Done."
 fi

diff --git a/php-sabre-vobject4.spec b/php-sabre-vobject4.spec
index 70d73ee..ae8373b 100644
--- a/php-sabre-vobject4.spec
+++ b/php-sabre-vobject4.spec
@@ -10,20 +10,18 @@
 %bcond_without       tests
 
 
-%global gh_commit    d554eb24d64232922e1eab5896cc2f84b3b9ffb1
-%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
 %global gh_owner     sabre-io
 %global gh_project   vobject
 %global with_cmd     1
 
 Name:           php-sabre-vobject4
 Summary:        Library to parse and manipulate iCalendar and vCard objects
-Version:        4.5.8
+Version:        4.6.0
 Release:        1%{?dist}
 
 URL:            http://sabre.io/vobject/
 License:        BSD-3-Clause
-Source0:        %{name}-%{version}-%{gh_short}.tgz
+Source0:        %{name}-%{version}.tgz
 Source2:        makesrc.sh
 
 # replace composer autloader
@@ -85,7 +83,7 @@ Autoloader: %{_datadir}/php/Sabre/VObject4/autoload.php
 
 
 %prep
-%setup -q -n %{gh_project}-%{gh_commit}
+%setup -q -n %{gh_project}-%{version}
 
 %patch -P0 -p1 -b .rpm
 
@@ -166,6 +164,9 @@ exit $ret
 %endif
 
 %changelog
+* Tue Jun  2 2026 Remi Collet <remi@remirepo.net> - 4.6.0-1
+- update to 4.6.0
+
 * Mon Jan 12 2026 Remi Collet <remi@remirepo.net> - 4.5.8-1
 - update to 4.5.8
 

diff --git a/sources b/sources
index 83fc031..16311f7 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (php-sabre-vobject4-4.5.8-d554eb2.tgz) = 8e6af0c7069430561b3764e7bf1b4a87979732749f8628a014f34a728c426bcdd3548e56fe398e0c18ae0140a692f9c839ef1d7482e1e06c599fa813c27429d5
+SHA512 (php-sabre-vobject4-4.6.0.tgz) = c3c0802302767456f9da2bfa1f2aa3272d9c8d516347988723b2720019d0de0e74fa210f15816e7051f7f8c208d20fdbaa12ce70b518d7510a5a1956840c85ff

^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2026-06-02  9:35 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-06-02  9:35 [rpms/php-sabre-vobject4] f43: v4.6.0 Remi Collet

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox